<?php

/**
-------------------------------------------------------------------------
wallfactory - Wall Factory 4.0.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

namespace ThePhpFactory\Wall\Media\Video\Adapter;

defined('_JEXEC') or die;

use Embed\Adapters\AdapterInterface;
use Embed\Adapters\Webpage;
use Embed\Adapters\Youtube;
use Embed\Request;

class YouTubeAdapter extends Youtube
{
    public function getCode()
    {
        $code = parent::getCode();

        $search = array(
            'height="270"',
            'width="480"',
        );

        $replace = array(
            'height="360"',
            'width="640"',
        );

        $code = str_replace($search, $replace, $code);

        return $code;
    }
}
