<?php

class WallFactoryPostsPlugin extends cbTabHandler
{
    public function getDisplayTab($tab, $user, $ui)
    {
        require_once JPATH_SITE . '/components/com_wallfactory/vendor/autoload.php';
        require_once JPATH_SITE . '/components/com_wallfactory/loader.php';

        WallFactoryEvent::registerSubscribers();
        WallFactoryLogger::registerLogger(array('notification', 'entity'));

        $configuration = JComponentHelper::getParams('com_wallfactory');
        $input = new JInput(array('task' => 'wall.cb'));

        JTable::addIncludePath(JPATH_ADMINISTRATOR . '/components/com_wallfactory/tables');

        $output = WallFactoryApp::render($input, $configuration);

        return $output;
    }
}
