<?php

/**
-------------------------------------------------------------------------
wallfactory - Wall Factory 4.0.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

extract($displayData);

$notifications = WallFactoryNotification::getNotifications();

$xml = array();

$xml[] = '<form>';
$xml[] = '<fieldset name="details">';

foreach ($notifications as $notification) {
    $label = 'COM_WALLFACTORY_NOTIFICATION_' . strtoupper($notification['type']);
    $description = 'COM_WALLFACTORY_NOTIFICATION_ENABLED_DESC';

    $xml[] = <<<XML
<fields name="{$notification['type']}">    
    <field name="enabled" type="radio" class="btn-group btn-group-yesno" filter="integer" default="1" label="$label" description="$description">
        <option value="1">JENABLED</option>
        <option value="0">JDISABLED</option>
    </field>
</fields>
XML;

    if ($notification['is_group']) {
        $label = 'COM_WALLFACTORY_NOTIFICATION_RECEIVING_GROUPS_LABEL';
        $description = 'COM_WALLFACTORY_NOTIFICATION_RECEIVING_GROUPS_DESC';

        $xml[] = <<<XML
<fields name="{$notification['type']}">
    <field name="groups" type="usergrouplist" multiple="true" label="{$label}" description="{$description}" showon="enabled:1" />
</fields>
XML;
    }

    $xml[] = '<field type="spacer" hr="true" />';
}

$xml[] = '</fieldset>';
$xml[] = '</form>';

$form = new JForm('', array(
    'control' => $field->formControl. '[' . $field->fieldname . ']',
));

$form->load(implode($xml));
$form->bind($field->value);

?>

<?php echo $form->renderFieldset('details'); ?>
