<?php

/**
-------------------------------------------------------------------------
wallfactory - Wall Factory 4.0.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

class WallFactoryBackendModelBookmark extends WallFactoryModelAdmin
{
    public function save($data)
    {
        $dispatcher = JEventDispatcher::getInstance();

        $dispatcher->trigger('onBookmarkBeforeSave', array(
            'com_wallfactory',
            $data,
        ));

        if (!parent::save($data)) {
            return false;
        }

        $data['id'] = $this->getState($this->getName() . '.id');

        $dispatcher->trigger('onBookmarkAfterSave', array(
            'com_wallfactory',
            $data,
        ));

        return true;
    }

    protected function prepareTable($table)
    {
        if (empty($table->id)) {
            $table->ordering = $table->getNextOrder();
        }
    }
}
