<?php

/**
-------------------------------------------------------------------------
wallfactory - Wall Factory 4.0.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

?>

<div id="j-sidebar-container" class="span2">
  <?php echo $this->sidebar; ?>
</div>

<div id="j-main-container" class="span10">
  <form action="<?php echo WallFactoryRoute::view($this->getName() . '&layout=edit&id=' . (int) $this->item->user_id); ?>" method="post" name="adminForm" id="adminForm" class="form-validate" enctype="<?php echo $this->form->getAttribute('enctype'); ?>">

    <div class="row-fluid">
      <div class="span8">
        <?php if (isset($this->setup['left'])): ?>
          <?php foreach ($this->setup['left'] as $fieldset): ?>
            <h2><?php echo WallFactoryText::_($this->getName() . '_fieldset_' . $fieldset); ?></h2>
            <?php echo $this->form->renderFieldset($fieldset); ?>
          <?php endforeach; ?>
        <?php endif; ?>
      </div>

      <div class="span4">
        <?php if (isset($this->setup['right'])): ?>
          <?php foreach ($this->setup['right'] as $fieldset): ?>
            <h2><?php echo WallFactoryText::_($this->getName() . '_fieldset_' . $fieldset); ?></h2>
            <?php echo $this->form->renderFieldset($fieldset); ?>
          <?php endforeach; ?>
        <?php endif; ?>
      </div>
    </div>

    <input type="hidden" name="task" value="" />
    <?php echo JHtml::_('form.token'); ?>
  </form>
</div>
